unit ASFDemoMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ShellAPI, CustomDrawProc;

type
  Tfrm_Main = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Label2Click(Sender: TObject);
    procedure Label3Click(Sender: TObject);
    procedure LabelMouseEnter(Sender: TObject);
    procedure LabelMouseLeave(Sender: TObject);
  private
    { Private declarations }
  public
    AttemptedClosure: Boolean;
    { Public declarations }
  end;

var
  frm_Main: Tfrm_Main;
  EndItemAnimation: boolean;
  EndFadeSplash: boolean = False;

implementation

uses
  ASFMain;

{$R *.dfm}

const
  PauseArr: array[0..16] of Integer = (
    400, 650, 900, 300, 400, 650, 350, 350, 650, 900, 400, 650,
    400, 350, 400, 350, 300
  );

procedure Tfrm_Main.FormCreate(Sender: TObject);
var
  J, I, a, CurrentWorkStr: Integer;
begin
  while (not EndFadeSplash) and (AnimationSplashForm <> nil) do begin
    //    
  end;
  AttemptedClosure := False;
  CurrentStr := -1;
  for J := 0 to High(PauseArr) do begin
    if AnimationSplashForm = nil then
      Exit;   //  ASF ,  
    Inc(CurrentStr);
    if CurrentStr < High(PauseArr) then begin
      CurrentWorkStr := CurrentStr + 1;
      a := PauseArr[CurrentWorkStr] Div 5;

      for I := 0 to PauseArr[CurrentWorkStr] do begin
        Sleep(1);
        while ((ArrayStr[CurrentWorkStr] <> '') and (not EndItemAnimation)) and (AnimationSplashForm <> nil) do begin
          //    ,     
        end;
        if ((i mod a) = 0) and (ArrayStr[CurrentWorkStr] <> '') then begin
          ArrayStr[CurrentWorkStr] := ArrayStr[CurrentWorkStr] + '.';
        end;
      end;
      if ArrayStr[CurrentWorkStr] <> ''  then
        ArrayStr[CurrentWorkStr] := ArrayStr[CurrentWorkStr] + 'OK';
    end;        
  end;
end;

procedure Tfrm_Main.FormShow(Sender: TObject);
begin
  if AttemptedClosure then 
    MessageBox(0, '        .', '.', MB_ICONINFORMATION or MB_OK or MB_APPLMODAL or MB_DEFBUTTON1);
end;






















procedure Tfrm_Main.Label2Click(Sender: TObject);
begin
  Screen.Cursor := crHourGlass;
  ShellExecute(Application.Handle, nil,
      'mailto:ASF%20-%20Andy%20BitOff<asf@bitoff.ru>?subject=AnimationSplashForm',
      nil, nil, SW_SHOWNORMAL);
  Screen.Cursor := crDefault;
end;

procedure Tfrm_Main.Label3Click(Sender: TObject);
begin
  Screen.Cursor := crHourGlass;
  ShellExecute(Application.Handle, nil,
      PChar(TLabel(Sender).Hint),
      nil, nil, SW_SHOWNORMAL);
  Screen.Cursor := crDefault;
end;

procedure Tfrm_Main.LabelMouseEnter(Sender: TObject);
var
  a: Integer;
begin
  Screen.Cursor := crHandPoint;
  a := TLabel(Sender).Tag;
  TLabel(Sender).Tag := TLabel(Sender).Font.Color;
  TLabel(Sender).Font.Color := TColor(a);
end;

procedure Tfrm_Main.LabelMouseLeave(Sender: TObject);
begin
  LabelMouseEnter(Sender);
  Screen.Cursor := crDefault;
end;

end.

