program ASFDemoPool;

uses
{  FastMM4,}
  Forms,
  ASFDemoMain in 'ASFDemoMain.pas' {frm_Main},
  SysUtils,
  WinTypes,
  Controls,
  GDIPAPI,
  ASFLists in '..\..\ASFLists.pas',
  ASFMain in '..\..\ASFMain.pas',
  CustomEvents in 'CustomEvents.pas',
  WaveEng in 'WaveEng.pas';

{$R *.res}

{$define FullDebugMode}
{$define LogMemoryLeakDetailToFile}

var
  SplashImagePath: string;

begin
  SplashImagePath := ExtractFilePath(ParamStr(0)) + 'img\';

  AnimationSplashForm := TAnimationSplashForm.CreateFullFrom(SplashImagePath + 'FullData.dat', False);

  //  
  AnimationSplashForm.onDestroySplash := SplashCustomEvent.DestroySplash;
  AnimationSplashForm.onAfterDraw := SplashCustomEvent.CustomDraw;
  AnimationSplashForm.onMouseMove := SplashCustomEvent.MouseMove;
  AnimationSplashForm.onMouseDown := SplashCustomEvent.MouseDown;


  SplashCustomEvent.crArrow := LoadImage(hInstance, PChar(SplashImagePath + 'cursor2.ani'), IMAGE_CURSOR, 32, 32, LR_LOADFROMFILE);
  SplashCustomEvent.crHand := LoadImage(hInstance, PChar(SplashImagePath + 'cursor1.ani'), IMAGE_CURSOR, 48, 48, LR_LOADFROMFILE);
  AnimationSplashForm.Cursor := SplashCustomEvent.crArrow;

  //  Splash
  AnimationSplashForm.StartSplash;

  Application.Initialize;
  Application.CreateForm(Tfrm_Main, frm_Main);
  if AnimationSplashForm <> nil then  begin
    //   
    AnimationSplashForm.CloseSplash(10, True);
  end;


  Application.Run;

end.