program ASFDemoAntonn;

uses
  Forms,
  ASFDemoMain in 'ASFDemoMain.pas' {frm_Main},
  SysUtils,
  GDIPAPI,
  ASFLists in '..\..\ASFLists.pas',
  ASFMain in '..\..\ASFMain.pas';

{$R ASFDemoAntonn.res}

var
  Anim1: TAnimationFrames;
  SplashImagePath, s: string;
  i: Integer;

begin
  SplashImagePath := ExtractFilePath(ParamStr(0)) + 'img\';

  AnimationSplashForm := TAnimationSplashForm.CreateFrom(SplashImagePath + 'Splash.png');
  //   ,       
//  AnimationSplashForm := TAnimationSplashForm.CreateEmptyBackGround(196, 273, 72, 72);

  //     
  AnimationSplashForm.ShowTaskbarButton := True;
  //  ,  ShowTaskbarButton = True
  AnimationSplashForm.SplashFormCaption := '...';
  //    
  AnimationSplashForm.SplashFormTopMost := False;
  //     
  //   , .. SetTimerInterval * FadeSpeed
  AnimationSplashForm.FadeSpeed := 7;
  //   
  AnimationSplashForm.SetTimerInterval(15);

//  
  ProgressTextItem := AnimationSplashForm.TextData.AddNewItem;
  with AnimationSplashForm.TextData.Items[ProgressTextItem] do begin
    //  
    Visible := True;
    //   
    VisibleShadow := True;
    //     
    TextBox := MakeRect(90, 75, 200, 20);
    //  
    Color := $FFF0F0F4;
    //  
    ShadowColor := $FF6C6C39;
    // 
    FontName := 'Verdana';
    FontSize := 11;
    //   
    PositionH := StringAlignmentNear;
    RenderingHint := TextRenderingHintSingleBitPerPixelGridFit;
  end;

//  
  with AnimationSplashForm.ProgressBar^ do begin
    //   
    BarVisible := True;
    //    
    BarBorderVisible := True;
    //   
    BarBox := MakeRect(16, 96, 266, 14);
    //   .          
    BarColor := $30FFFFFF;
    //  
    BarBorderColor := $FFF0F0F0;
  end;




// 
  //  
  AnimationSplashForm.ProgressIconsVisible := True;
  //    ( )    LoadingPartTime
  // 100 ,       (LoadingPartTime),
  // 50 -    
  AnimationSplashForm.IconFullPaintPercent := 100;
  //    
  AnimationSplashForm.IconAnimation := iaFade;
  //    -  
  AnimationSplashForm.IconPosLeft := 20;
  //    -  
  AnimationSplashForm.IconPosTop := 117;
  //   
  AnimationSplashForm.IconSpace := 2;
  //  .    ..
  //   . = 0,     .
  AnimationSplashForm.IconStep := 0;
  //    
  AnimationSplashForm.Icons.LoadFromFile(SplashImagePath + 'Icons.dat');
{  //         
  //       
  AnimationSplashForm.Icons.AddFromFile(SplashImagePath + 'ico1.png');
  AnimationSplashForm.Icons.AddFromFile(SplashImagePath + 'ico2.png');
  AnimationSplashForm.Icons.AddFromFile(SplashImagePath + 'ico3.png');
  AnimationSplashForm.Icons.AddFromFile(SplashImagePath + 'ico4.png');
  AnimationSplashForm.Icons.AddFromFile(SplashImagePath + 'ico5.png');
  AnimationSplashForm.Icons.SaveToFile(SplashImagePath + 'Icons.dat');}

// 
  //  
  AnimationSplashForm.AnimationsAddFromFile(SplashImagePath + 'Animation1.dat');
{  //         
  //       
  Anim1 := TAnimationFrames.Create;
  try
    Anim1.DelayBetweenImages := 5;
    //     
    Anim1.DelayBetweenPassage := 150;
    Anim1.PositionLeft := 214;
    Anim1.PositionTop := 59;
    for I := 1 to 12 do begin
      s := IntToStr(i);
      if Length(s) = 1 then
        s := '0' + s;
      Anim1.AddFromFile(SplashImagePath + 'Animation1 ' + s + '.png');
    end;
    AnimationSplashForm.AnimationsAdd(Anim1);
    Anim1.SaveToFile(SplashImagePath + 'Animation1.dat');
  finally
    Anim1.Free;
  end;}
//  2
  AnimationSplashForm.AnimationsAddFromFile(SplashImagePath + 'Animation2.dat');
{  Anim1 := TAnimationFrames.Create;
  try
    Anim1.DelayBetweenImages := 3;
    Anim1.DelayBetweenPassage := 230;
    Anim1.PositionLeft := 95;
    Anim1.PositionTop := 21;
    for I := 1 to 14 do begin
      s := IntToStr(i);
      if Length(s) = 1 then
        s := '0' + s;
      Anim1.AddFromFile(SplashImagePath + 'Animation2 ' + s + '.png');
    end;
    AnimationSplashForm.AnimationsAdd(Anim1);
    Anim1.SaveToFile(SplashImagePath + 'Animation2.dat');
  finally
    Anim1.Free;
  end;}

  //     
  //   ProgressBarCurrentPart   1
  AnimationSplashForm.ProgressBarSectionsCount := 5;

  AnimationSplashForm.SaveToFile(SplashImagePath + 'FullData.dat');

  //  Splash
  AnimationSplashForm.StartSplash;

{  ProgressTextItem := 0;
  AnimationSplashForm := TAnimationSplashForm.CreateFullFrom(SplashImagePath + 'FullData.dat');}

  Application.Initialize;
  Application.CreateForm(Tfrm_Main, frm_Main);
  //   
  AnimationSplashForm.CloseSplash(30, True);
  Application.Run;
end.