program ASFDemoCustomDraw;

uses
  ExceptionLog,
  Forms,
  ASFDemoMain in 'ASFDemoMain.pas' {frm_Main},
  SysUtils,
  WinTypes,
  GDIPAPI,
  ASFLists in '..\..\ASFLists.pas',
  ASFMain in '..\..\ASFMain.pas',
  CustomDrawProc in 'CustomDrawProc.pas';

{$R *.res}

var
  SplashImagePath: string;

begin
  SplashImagePath := ExtractFilePath(ParamStr(0)) + 'img\';

  AnimationSplashForm := TAnimationSplashForm.CreateFrom(SplashImagePath + 'Splash.png');

  //     
  AnimationSplashForm.ShowTaskbarButton := True;
  //  ,  ShowTaskbarButton = True
  AnimationSplashForm.SplashFormCaption := '...';
  //    
  AnimationSplashForm.SplashFormTopMost := False;
  //     
  AnimationSplashForm.FadeSpeed := 20;
  //   
  AnimationSplashForm.SetTimerInterval(15);
  //  
  AnimationSplashForm.onAfterDraw := SplashCustomEvent.DrawText;
  AnimationSplashForm.onKeyPress := SplashCustomEvent.KeyPress;
  AnimationSplashForm.onDestroySplash := SplashCustomEvent.DestroySplash;
  AnimationSplashForm.OnEndFade := SplashCustomEvent.EndFade;

  AnimationSplashForm.ClosingAllow := False;

  AnimationSplashForm.Cursor := LoadCursorFromFile(PChar(SplashImagePath + 'cursor2.ani'));

  //  Splash
  AnimationSplashForm.StartSplash;

  Application.Initialize;
  Application.CreateForm(Tfrm_Main, frm_Main);

  if AnimationSplashForm <> nil then  begin
    frm_Main.AttemptedClosure := AnimationSplashForm.AttemptedClosure;
    //   
    AnimationSplashForm.CloseSplash(30, True);
  end;

  Application.Run;

end.